NEARNEIGHBOR(l)

NAME
nearneighbor - A "Nearest neighbor" gridding algorithm

SYNOPSIS
nearneighbor [ xyzfile(s) ] -Gout_grdfile -Ix_inc[m|c][/y_inc[m|c]] -Nsectors -Rwest/east/south/north[r] -Ssearch_radius[m|c|k|K] [ -Eempty ] [ -F ] [ -H[nrec] ] [ -L[flag] ] [ -V ] [ -W ] [ -: ] [ -bi[s][n] ]

DESCRIPTION
nearneighbor reads arbitrarily located (x,y,z[,w]) triples [quadruplets] from standard input [or xyzfile(s)] and uses a nearest neighbor algorithm to assign an average value to each node that have one or more points within a radius centered on the node. The average value is computed as a weighted mean of the nearest point from each sector inside the search radius. The weighting function used is w(r) = 1.0 / (1 + d ^ 2), where d = 3 * r / search_radius and r is distance from the node. This weight is modulated by the observation points' weights [if supplied].'

xyzfile(s)
    3 [or 4, see -W] column ASCII file(s) [or binary, see -b] holding (x,y,z[,w]) data values. If no file is specified, nearneighbor will read from standard input.

-G  Give the name of the output grdfile.

-I  x_inc [and optionally y_inc] is the grid spacing. Append m to indicate minutes or c to indicate seconds.

-N  The circular area centered on each node is divided into several sectors. Average values will only be computed if there is at least one value inside each of the sectors for a given node. Nodes that fail this test are assigned the value NaN (but see -E). [Default is quadrant search, i.e., sectors = 4]. Note that only the nearest value per sector enters into the averaging, not all values inside the circle.

-R  west, east, south, and north specify the Region of interest. To specify boundaries in degrees and minutes [and seconds], use the dd:mm[:ss] format. Append r if lower left and upper right map coordinates are given instead of wesn.

-S  Sets the search_radius in same units as the grid spacing; append m to indicate minutes or c to indicate seconds. Append k to indicated km (implies -R -I are in degrees); use uppercase K if distances should be calculated using great circles [k uses flat Earth].

OPTIONS

-E  Set the value assigned to empty nodes [NaN].

-F  Force pixel registration. [Default is grid registration].

-H  Input file(s) has Header record(s). Number of header records can be changed by editing your .gmtdefaults file. If used, GMT default is 1 header record. Not used with binary data.

-L  Boundary condition flag may be x or y or xy indicating data is periodic in range of x or y or both set by -R, or flag may be g indicating geographical conditions (x and y are lon and lat). [Default is no boundary conditions]. If no flag is given, it is assumed that the x column contains longitudes, which may differ from the region in -R by [multiples of] 360 degrees [Default assumes no periodicity].

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-:  Toggles between (longitude,latitude) and (latitude,longitude) input/output. [Default is (longitude,latitude)]. Applies to geographic coordinates only.

-W  Input data have a 4th column containing observation point weights. These are multiplied with the geometrical weight factor to determine the actual weights used in the calculations.

-bi Selects binary input. Append s for single precision [Default is double]. Append n for the number of columns in the binary file(s). [Default is 3 (or 4 if -W is set) columns].

EXAMPLES

To create a gridded data set from the file seaMARCII_bathy.lon_lat_z using a 0.5 min grid, a 5 km search radius, using an octant search, and set empty nodes to -9999, try

nearneighbor seaMARCII_bathy.lon_lat_z -R242/244/-22/-20 -I.5m -E-9999 -Gbathymetry.grd -S5k -N8

To make a global gridded file from the data in geoid.xyz using a 1 degree grid, a 200 km search radius, spherical distances, using an quadrant search, and set empty nodes to NaN, try

nearneighbor geoid.xyz -R0/360/-90/90 -I1 -Lg -Ggeoid.grd -S20K -N4

SEE ALSO
blockmean(1gmt), blockmedian(1gmt), blockmode(1gmt), gmt(1gmt), surface(1gmt), triangulate(1gmt)